Subject: bug#18556: 24.4.50; update-file-autoloads never ends

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Sep 2014 09:53:15 +0300

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]> ,
>     [email-masked], Paul Eggert <[email-masked]>
> Date: Mon, 29 Sep 2014 08:38:15 +0200
> 
> Just to clarify the point that -Q should or not prevent the shadowing:
> it *should* prevent shadowing.
> 
> What I do in the init.el is that I remove from load-path the path to the
> eieio bundled with Emacs, and I replace it with another one on some
> cedet anonymous checkout.
> 
> So, if I have -Q this hacking of load-path does not occur, and shadowing
> bundled module won't occur.

This is a misunderstanding.  I didn't mean what you do in init.el, I
meant these lines in balance.el:

  (require 'eieio)
  (require 'calc-ext)
  (require 'calc-forms)

If you have another version of eieio and/or calc somewhere along your
default load-path, then these 'require' directives will load those
other versions.